#include "GameEngine1.h"
#include "SPI.h"
GameEngine1 engine = GameEngine1();

byte ballX = 64;
byte ballY = 32;

void setup(){
  engine.init(20);
}

void loop(){
  if(engine.update()){
    controlBall(); 
    if(engine.isFrameCount(20)){
      moveBall();   
    }
    drawBall(); 
  } 
}

void drawBall() {
  engine.drawPixel(ballX, ballY);
  engine.drawPixel(ballX + 1, ballY);
  engine.drawPixel(ballX - 1, ballY);
  engine.drawPixel(ballX, ballY + 1);
  engine.drawPixel(ballX, ballY - 1);
}

void moveBall() { 
  ballX = ballX + 1;
  ballX = ballX % 128;
  ballY = ballY % 64;
}

void controlBall() {
  if(engine.isButtonPressed(UP)){
    ballY = ballY - 1;
  }
  if(engine.isButtonPressed(DOWN)){
    ballY = ballY + 1;
  }
}

